package com.quant.entity;

import java.sql.Timestamp;

/**
 * UserOrderStatus entity. @author MyEclipse Persistence Tools
 */

public class UserOrderStatus implements java.io.Serializable {

	private static final long serialVersionUID = 8709626014429064416L;
	// Fields

	/**
	 * 
	 */
	
	private Integer id;
	private Integer orderId;
	private Integer majorStatus;
	private Integer minorStatus;
	private Integer operateUid;
	private Integer customerAction;
	private Integer portalAction;
	private Integer managerAction;
	private String description;
	private Timestamp postTime;

	// Constructors

	/** default constructor */
	public UserOrderStatus() {
	}

	/** full constructor */
	public UserOrderStatus(Integer orderId, Integer majorStatus,
			Integer minorStatus, Integer operateUid, Integer customerAction,
			Integer portalAction, Integer managerAction, String description,
			Timestamp postTime) {
		this.orderId = orderId;
		this.majorStatus = majorStatus;
		this.minorStatus = minorStatus;
		this.operateUid = operateUid;
		this.customerAction = customerAction;
		this.portalAction = portalAction;
		this.managerAction = managerAction;
		this.description = description;
		this.postTime = postTime;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getOrderId() {
		return this.orderId;
	}

	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}

	public Integer getMajorStatus() {
		return this.majorStatus;
	}

	public void setMajorStatus(Integer majorStatus) {
		this.majorStatus = majorStatus;
	}

	public Integer getMinorStatus() {
		return this.minorStatus;
	}

	public void setMinorStatus(Integer minorStatus) {
		this.minorStatus = minorStatus;
	}

	public Integer getOperateUid() {
		return this.operateUid;
	}

	public void setOperateUid(Integer operateUid) {
		this.operateUid = operateUid;
	}

	public Integer getCustomerAction() {
		return this.customerAction;
	}

	public void setCustomerAction(Integer customerAction) {
		this.customerAction = customerAction;
	}

	public Integer getPortalAction() {
		return this.portalAction;
	}

	public void setPortalAction(Integer portalAction) {
		this.portalAction = portalAction;
	}

	public Integer getManagerAction() {
		return this.managerAction;
	}

	public void setManagerAction(Integer managerAction) {
		this.managerAction = managerAction;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Timestamp getPostTime() {
		return this.postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}

}